@import url('https://fonts.googleapis.com/css2?family=Urbanist:wght@100;200;300;400;500;600;700;800;900&display=swap');

:root{
    --mainColor: #0049B1;
    --mainColor-light: #4997fc;
    --secondaryColor: #e5954f;
    --whiteColor: #FFFFFF;
    --mutedColor: #696969;
}

BODY::-webkit-scrollbar
{
all:unset;
}

BODY::-webkit-scrollbar-button
{
display:block;
background-color:ButtonFace;
box-shadow:inset 0px 0px 0px 20px rgba(255,255,255,0.3);
height: auto;
width: initial;
background-position: center 5px;
background-size:9px 7px;
image-rendering: pixelated;
background-repeat:no-repeat;
}

BODY::-webkit-scrollbar-button:hover
{
box-shadow:inset 0px 0px 0px 20px rgba(128,128,128,0.5);
}

BODY::-webkit-scrollbar-button:active
{
box-shadow:inset 0px 0px 0px 20px rgba(128,128,128,0.7);
}

BODY::-webkit-scrollbar-button:vertical:start:increment,
BODY::-webkit-scrollbar-button:vertical:end:decrement
{
display:none;
}

BODY::-webkit-scrollbar-button:vertical:decrement
{
background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='ButtonText'><polygon points='50,00 0,50 100,50'/></svg>");
}

BODY::-webkit-scrollbar-button:vertical:increment
{
background-position: center 6px;
background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='ButtonText'><polygon points='0,0 100,0 50,50'/></svg>");
}

BODY::-webkit-scrollbar-thumb
{
background-color:ButtonFace;
box-shadow:inset 0px 0px 0px 20px rgba(128,128,128,0.3);
border-left:2px solid rgba(255,255,255,0.3);
border-right:2px solid rgba(255,255,255,0.3);
}

BODY::-webkit-scrollbar-thumb:hover
{
box-shadow:inset 0px 0px 0px 20px rgba(128,128,128,0.5);
}

BODY::-webkit-scrollbar-thumb:active
{
box-shadow:inset 0px 0px 0px 20px rgba(128,128,128,0.7);
}

body{
    font-family: 'Urbanist', sans-serif;
    background-color: #f1f7ff !important;
}

a{
    text-decoration: none !important;
}

h1, h2, h3, h4, h5, h6{
    font-family: 'Urbanist', sans-serif !important;
}

.sidebar-span{
    font-family: 'Urbanist', sans-serif !important;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box !important;
    font-family: 'Urbanist', sans-serif;
}

/* Global Class */
.text-primary{
    color: var(--mainColor) !important;
}

.text-white{
    color: var(--whiteColor) !important;
}

/* Navbar */
.page-header-inner{
    box-shadow:  3px 3px 30px #d6d6d659;
}

.page-header.navbar{
    width: calc(100% - 270px);
    margin-left: 250px;
    margin-right: 20px;
    border-radius: 12px !important;
}

.page-header.navbar .page-top{
    background: var(--whiteColor);
    box-shadow: none;
}

.navbar-fixed-top{
    top: 24px;
}

.page-header-fixed .page-container{
    margin-top: 0;
}

.page-header-inner{
    border-radius: 12px !important;
    background-color: white !important;
}

.page-header.navbar .page-logo.cust{
    border-radius: 12px 0 0 12px !important;
    background-color: white;
}

.page-header.navbar .page-top{
    border-radius: 12px !important;
}

.sidebar-txt-cust-1kata{
    color: var(--mutedColor) !important;
}

.page-header.navbar .page-actions{
    margin: 20px 0 20px 15px;
}

.page-header.navbar .search-form{
    background: var(--whiteColor);
    max-width: 600px;
    width: 100% !important;
}

.text-truncate{
    text-overflow: ellipsis !important;
    overflow: hidden !important;
    white-space: nowrap !important;
}

/* .text-wrap{
    text-wrap: wrap !important;
} */

.page-header.navbar .search-form .input-group{
    width: 100%;
}

.page-header.navbar .search-form .input-group-btn{
    display: flex;
    align-items: center;
    width: 100%;
}

.page-header.navbar .search-form .input-group .input-group-btn .btn.submit{
    width: fit-content;
    color: var(--mutedColor);
    font-weight: 500;
    margin: 0 !important;
}

.dropdown-toggle{
    background: none !important;
    background-color: none !important;
    color: var(--mutedColor) !important;
}

.dropdown-menu{
    border-radius: 12px !important;
    box-shadow: 3px 3px 8px #80808046;
}

.dropdown-menu li:first-child a{
    border-radius: 12px 12px 0 0 !important;
}

.dropdown-menu li:last-child a{
    border-radius: 0 0 12px 12px !important;
}

.dropdown-menu li a:hover{
    background: var(--mainColor);
    color: var(--whiteColor) !important;
}

.dropdown-menu li a:hover i{
    color: var(--whiteColor);
}

.dropdown-menu li a i{
    margin-right: 12px;
}

.dropdown-toggle :where(.username, i){
    color: var(--mutedColor) !important;
    font-weight: 500 !important;
}

.dropdown-toggle:where(:hover, :focus, :active, :focus-visible){
    background: none !important;
    background-color: none !important;
}

.page-header.navbar .menu-toggler.responsive-toggler{
    filter: invert(0);
    background-image: none;
    margin: 26px 14px 0 6px;
}

.page-header.navbar .menu-toggler.responsive-toggler i{
    font-size: 20px;
    color: var(--mutedColor);
}

/* Sidebar */
.sidebar-title{
    padding: 6px 12px;
    border-radius: 50px;
    background: var(--whiteColor);
    color: var(--mainColor);
    font-weight: 600;
}

.nav-item,
.nav-item .nav-link{
    transition: .4s;
}

.nav-item:hover .nav-link,
.nav-item .nav-link:hover{
    transition: .4s;
}

.nav-item .nav-link span{
    color: var(--mutedColor) !important;
}

.nav-item .nav-link i{
    color: var(--mutedColor) !important;
    margin-right: 8px;
    font-size: 20px !important;
}

.page-sidebar-menu:not(.page-sidebar-menu-hover-submenu)::-webkit-scrollbar{
    width: 4px;
    background-color: #ffffff21;
}

.page-sidebar-menu:not(.page-sidebar-menu-hover-submenu)::-webkit-scrollbar-thumb{
    background-color: var(--mainColor);
    border-radius: 10px;
}

.page-sidebar-menu:not(.page-sidebar-menu-hover-submenu) .nav-toggle ~ .sub-menu{
    margin: 0 !important;
    margin-left: 0 !important;
    padding-left: 16px !important;
}

.page-sidebar-menu-hover-submenu .nav-toggle ~ .sub-menu{
    border-radius: 12px !important;
    margin-left: 220px !important;
    box-shadow: 3px 3px 10px #80808046 !important;
}

.page-sidebar-menu:not(.page-sidebar-menu-hover-submenu) .nav-item .nav-link .arrow{
    margin-left: auto;
}

.page-sidebar-menu:not(.page-sidebar-menu-hover-submenu) .nav-item .nav-link .arrow::before{
    margin: 0 !important;
    float: unset;
}

.page-sidebar-menu > .nav-item:hover > .nav-link{
    background: var(--mainColor) !important;
}

.page-sidebar-menu > .nav-item:hover > .nav-link :where(span, i){
    color: var(--whiteColor) !important;
}

.page-sidebar-menu > .nav-item:hover > .nav-link .arrow::before,
.page-sidebar-menu > .nav-item:hover > .nav-link .arrow.open::before{
    color: var(--whiteColor);
}

.page-sidebar-menu > .nav-item.active.open > .nav-link{
    background: var(--mainColor) !important;
}

.page-sidebar-menu > .nav-item.active.open > .nav-link :where(span, i){
    color: var(--whiteColor) !important;
}

/* Content */
.page-container-bg-solid .page-content{
    background-image: none !important;
    background-color: #f1f7ff !important;
}

.top-content{
    padding: 24px 0;
}

.page-title{
    font-weight: 600;
}

.page-bar{
    background-color: var(--mainColor);
}

.page-bar .page-breadcrumb > li > :where(span, a){
    color: var(--whiteColor) !important;
}

.widget-thumb, .portlet.light{
    background-image: none !important;
    border-radius: 12px !important;
    box-shadow:  3px 3px 30px #d6d6d659 !important;
    position: relative;
    padding: 28px 16px 16px !important;
    overflow: visible;
    margin-bottom: 40px !important;
}

.widget-thumb-heading{
    font-size: 18px !important;
    margin-bottom: 12px !important;
}

[class^="col-"]{
    overflow: visible !important;
}

.widget-thumb .widget-thumb-wrap .widget-thumb-body{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px;
}

.widget-thumb .widget-thumb-wrap .widget-thumb-icon{
    position: absolute;
    top: -24px;
    width: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 45px;
    border-radius: 12px;
    background-color: var(--mainColor) !important;
}

/* Modal */
.modal-content{
    background-image: none !important;
}

/* Footer */
.scroll-to-top{
    background: var(--mainColor);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 12px !important;
    width: 40px;
    height: 40px;
}

.scroll-to-top i{
    font-size: 24px !important;
    opacity: 1;
    color: var(--whiteColor);
}

.d-none{
    display: none !important;
}

.page-sidebar-menu>.nav-item:first-child,
.page-sidebar-menu>.nav-item:nth-child(2){
    padding: 0 10px 0;
}


/* Responsive */
@media (min-width:992px){
    .page-header.navbar .page-logo.cust{
        display: none !important;
    }

    .page-content-wrapper .page-content{
        margin-left: 230px;
        padding: 100px 20px 20px;
    }
    .page-sidebar.navbar-collapse{
        height: 100% !important;
        position: fixed;
        top: 0;
        left: 0;
        bottom: 0;
        width: 230px;
        z-index: 999;
        /* box-shadow: 3px 0 8px #9595955c; */
    }
    .page-sidebar .page-sidebar-menu:not(.page-sidebar-menu-hover-submenu){
        overflow-y: auto;
        height: calc(100% - 190px);
        margin: 7px 7px 0 0;
    }
    .sidebar-brand{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding: 24px;
        background: var(--mainColor);
        gap: 12px;
    }
    .page-footer{
        padding: 0 0 0 230px;
        background-color: white;
    }
    .page-footer-inner{
        padding: 8px 20px 8px;
        background-color: #f1f7ff !important;
    }
    .d-lg-block{
        display: block !important;
    }
}

@media (max-width:991px){
    .page-header.navbar{
        width: calc(100% - 48px);
        margin-left: 24px;
        margin-right: 24px;
    }
    .page-header.navbar .page-logo.cust{
        display: flex !important;
        background-color: white !important;
    }
    .page-container{
        background: #f1f7ff !important;
    }
    .page-content-wrapper .page-content{
        padding: 12px 24px !important;
    }
    .page-header.navbar .search-form{
        margin-right: 16px;
    }
    .page-sidebar-wrapper{
        width: calc(100% - 50px);
        margin: 0 auto;
    }
    .page-sidebar.navbar-collapse{
        border-radius: 12px !important;
    }
    .page-sidebar .page-sidebar-menu:not(.page-sidebar-menu-hover-submenu){
        height: 300px;
        overflow-y: auto;
    }
    .page-sidebar.navbar-collapse.collapse,
    .page-sidebar.navbar-collapse.collapse.in{
        margin-top: 20px !important;
        margin: 0;
    }
    .sidebar-brand{
        display: none;
    }
    .page-footer{
        text-align: center;
    }
}

/* compoonent */
.select2{
    width: 100% !important;
    /* border-radius: 12px !important; */
    border: 1px solid #c2cad8;
    /* height: 38px; */
    vertical-align: middle;
    /* line-height: 38px; */
}

.select2-dropdown{
    border: 1px solid #c2cad8;
    /* border-radius: 12px !important; */
    overflow: clip;
    margin-top: 2px;
}

.select2-results{
    /* height: 300px;
    overflow-y: auto;
    margin-top: 12px; */
}

.select2-search__field {
    /* width: 200px !important;
    padding: 5px !important;
    background-color: #EEEEEE !important; */
}

.select2-selection__choice {
    /* margin-top: 15px !important; */
    /* margin-right: 24px !important; */
}

.select2-selection__choice {
    background-color: #eee!important;
    border: 1px solid #eee!important;
    background-color: #e4e4e4;
    border: 1px solid #aaa;
    /* border-radius: 4px; */
    cursor: default;
    float: left;
    margin-right: 5px;
    margin-top: 15px !important;
    padding: 0 5px;
}

.select2-container--bootstrap .select2-selection {
    padding: 4px !important;
}

.select2-search--dropdown .select2-search__field{
    border: 1px solid #cdc3c3;
    outline: none !important;
}

.select2-selection .select2-selection--single {
    padding: 4px !important;
}
/* .select2-selection__rendered {
    margin-top: 5px !important;
} */

.select2-container--default .select2-selection--single .select2-selection__rendered{
    line-height: 34px;
}

.select2-container--default .select2-selection--single .select2-selection__arrow{
    height: 34px;
}

.select2-container--default .select2-selection--single{
    height: 100%;
    border: none;
}

.select2-container--default .select2-results > .select2-results__options{
    height: 100%;
    max-height: fit-content;
}

.select2-container .select2-search--inline .select2-search__field {
    box-sizing: border-box;
    border: none;
    font-size: 100%;
    margin-top: 15px;
    padding: 0;
    width: 150px;
}

/* @media screen and (min-width: 992px), (max-height: 615px) {
    .page-sidebar .page-sidebar-menu{
        margin-top: 20px !important;
        max-height: 450px !important;
        overflow-y: auto !important;
    }
} */

.top-content .page-bar {
    margin: 10px 0px;
}
div.dataTables_wrapper div.dataTables_info, div.dataTables_wrapper div.dataTables_paginate ul.pagination {
    margin: 10px 0px 0px 0px;
}
.table .btn {
    margin-right: 0px !important;
}
table input[type=checkbox], table input[type=radio]{
    height: 25px;
}